package TO;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * 
 * @author Marcos García Núñez (mgarcianun@uoc.edu)
 *
 */
@XmlRootElement(name = "SpecialistDoctor")
public class SpecialistDoctorTO implements Serializable {

	private static final long serialVersionUID = 1L;
	private Integer id;
	private String professionalNumber;
	private String nif;
	private String name;
	private String surname;
	private String password;
	private String email;
	private MedicalSpecialtyTO medicalSpecialty;

	public SpecialistDoctorTO() {
		super();
	}

	public SpecialistDoctorTO(Integer id, String pic, String nif, String name, String surname, String password, String email, MedicalSpecialtyTO medicalSpec) {
		this.id = id;
		this.professionalNumber = pic;
		this.nif = nif;
		this.name = name;
		this.surname = surname;
		this.password = password;
		this.email =email;
		this.medicalSpecialty = medicalSpec;
	}

	public String getEmail() {
		return email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getSurname() {
		return surname;
	}

	public void setSurname(String surname) {
		this.surname = surname;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getNif() {
		return nif;
	}

	public void setNif(String nif) {
		this.nif = nif;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getDisplayName() {
		return String.format("[%s] %s %s", this.professionalNumber, this.name, this.surname);
	}
	
	public MedicalSpecialtyTO getMedicalSpecialty() {
		return medicalSpecialty;
	}

	public void setMedicalSpecialty(MedicalSpecialtyTO medicalSpecialty) {
		this.medicalSpecialty = medicalSpecialty;
	}

	public String getProfessionalNumber() {
		return professionalNumber;
	}

	public void setProfessionalNumber(String professionalNumber) {
		this.professionalNumber = professionalNumber;
	}
}
